Bug 597285 - undef values for the SELinux attributes of the file resource type don't work
undef values for the SELinux attributes of the file resource type don't work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: puppet (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 11:01 EDT by Cristian Ciupitu
Modified: 2012-04-17 17:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 17:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/puppet/manifests/site.pp (910 bytes, text/plain)
2010-05-28 11:01 EDT, Cristian Ciupitu
no flags Details

  None (edit)
Description Cristian Ciupitu 2010-05-28 11:01:59 EDT
Created attachment 417647 [details]
/etc/puppet/manifests/site.pp

Description of problem:
I'm trying to manage the mounted partitions of my computer, using puppet as described here http://serverfault.com/questions/145829/how-to-manage-mounted-partitions-fstab-mount-points-from-puppet . Even if the SELinux attributes of the mount point directory are set to "undef", puppet tries to change them (if the SELinux attributes of the mounted partition are different from the ones of the mount point).


Version-Release number of selected component (if applicable):
puppet-0.25.4-1.fc13.noarch.rpm
puppet-server-0.25.4-1.fc13.noarch.rpm


How reproducible:
Every time.


Steps to Reproduce:
1. Customize the attached "site.pp" for your setup and make sure that the mount point does not exist.
2. Run "puppet /etc/puppet/manifests/site.pp". The mount point will be created and the partition will be mounted.
3. Rerun "puppet /etc/puppet/manifests/site.pp". Puppet will notice that the SELinux attributes of the mount point have changed and it will try to fix them.

  
Actual results:
warning: Failed to set SELinux context system_u:object_r:public_content_t:s0 on /mnt/sda1
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/File[/mnt/sda1]/seluser: seluser changed 'unconfined_u' to 'system_u'
warning: Failed to set SELinux context unconfined_u:object_r:mnt_t:s0 on /mnt/sda1
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/File[/mnt/sda1]/seltype: seltype changed 'public_content_t' to 'mnt_t'


Expected results:
puppet shouldn't try to change the SELinux attributes of the mount points.


Additional info:
[root@hermes mnt]# ls
[root@hermes mnt]# puppet /etc/puppet/manifests/site.pp 
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/File[/mnt/sda1]/ensure: created
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]/ensure: ensure changed 'present' to 'mounted'
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]: Refreshing self
[root@hermes mnt]# ls -ldZ sda1
drwxr-xr-x. root root unconfined_u:object_r:public_content_t:s0 sda1
[root@hermes mnt]# umount sda1
[root@hermes mnt]# ls -ldZ sda1
drwxr-xr-x. root root system_u:object_r:mnt_t:s0       sda1
[root@hermes mnt]# puppet /etc/puppet/manifests/site.pp 
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]/ensure: ensure changed 'present' to 'mounted'
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]: Refreshing self
[root@hermes mnt]# puppet /etc/puppet/manifests/site.pp 
warning: Failed to set SELinux context system_u:object_r:public_content_t:s0 on /mnt/sda1
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/File[/mnt/sda1]/seluser: seluser changed 'unconfined_u' to 'system_u'
warning: Failed to set SELinux context unconfined_u:object_r:mnt_t:s0 on /mnt/sda1
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/File[/mnt/sda1]/seltype: seltype changed 'public_content_t' to 'mnt_t'
Comment 1 Todd Zullinger 2010-06-07 13:02:10 EDT
As a guess, it's not the mount type trying to set a default selinux type, is it?  Running puppet with the --debug (-d) option might provide more detail.
Comment 2 Cristian Ciupitu 2010-06-09 07:36:15 EDT
[root@hermes mnt]# ls
[root@hermes mnt]# puppet --debug /etc/puppet/manifests/site.pp 
debug: /File[/mnt/sda1]/seluser: Found seluser default 'system_u' for /mnt/sda1
debug: /File[/mnt/sda1]/selrole: Found selrole default 'object_r' for /mnt/sda1
debug: /File[/mnt/sda1]/seltype: Found seltype default 'mnt_t' for /mnt/sda1
debug: /File[/mnt/sda1]/selrange: Found selrange default 's0' for /mnt/sda1
debug: Creating default schedules
debug: Finishing transaction 70295621468180 with 0 changes
debug: Puppet::Type::User::ProviderPw: file pw does not exist
debug: Puppet::Type::User::ProviderDirectoryservice: file /usr/bin/dscl does not exist
debug: Puppet::Type::User::ProviderUser_role_add: file roleadd does not exist
debug: Failed to load library 'ldap' for feature 'ldap'
debug: Puppet::Type::User::ProviderLdap: feature ldap is missing
debug: /File[/var/lib/puppet/ssl/crl.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/crl.pem
debug: /File[/var/lib/puppet/ssl/crl.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/crl.pem
debug: /File[/var/lib/puppet/ssl/crl.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/crl.pem
debug: /File[/var/lib/puppet/ssl/crl.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/crl.pem
debug: /File[/var/lib/puppet/ssl/certs]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/certs
debug: /File[/var/lib/puppet/ssl/certs]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/certs
debug: /File[/var/lib/puppet/ssl/certs]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/certs
debug: /File[/var/lib/puppet/ssl/certs]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/certs
debug: /File[/var/lib/puppet/state/state.yaml]/seluser: Found seluser default 'system_u' for /var/lib/puppet/state/state.yaml
debug: /File[/var/lib/puppet/state/state.yaml]/selrole: Found selrole default 'object_r' for /var/lib/puppet/state/state.yaml
debug: /File[/var/lib/puppet/state/state.yaml]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/state/state.yaml
debug: /File[/var/lib/puppet/state/state.yaml]/selrange: Found selrange default 's0' for /var/lib/puppet/state/state.yaml
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/certs/ca.pem
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/certs/ca.pem
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/certs/ca.pem
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/certs/ca.pem
debug: /File[/var/lib/puppet/ssl/public_keys]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/public_keys
debug: /File[/var/lib/puppet/ssl/public_keys]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/public_keys
debug: /File[/var/lib/puppet/ssl/public_keys]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/public_keys
debug: /File[/var/lib/puppet/ssl/public_keys]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/public_keys
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/certificate_requests]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/certificate_requests
debug: /File[/var/lib/puppet/ssl/certificate_requests]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/certificate_requests
debug: /File[/var/lib/puppet/ssl/certificate_requests]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/certificate_requests
debug: /File[/var/lib/puppet/ssl/certificate_requests]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/certificate_requests
debug: /File[/var/lib/puppet/clientbucket]/seluser: Found seluser default 'system_u' for /var/lib/puppet/clientbucket
debug: /File[/var/lib/puppet/clientbucket]/selrole: Found selrole default 'object_r' for /var/lib/puppet/clientbucket
debug: /File[/var/lib/puppet/clientbucket]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/clientbucket
debug: /File[/var/lib/puppet/clientbucket]/selrange: Found selrange default 's0' for /var/lib/puppet/clientbucket
debug: /File[/var/lib/puppet/client_yaml]/seluser: Found seluser default 'system_u' for /var/lib/puppet/client_yaml
debug: /File[/var/lib/puppet/client_yaml]/selrole: Found selrole default 'object_r' for /var/lib/puppet/client_yaml
debug: /File[/var/lib/puppet/client_yaml]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/client_yaml
debug: /File[/var/lib/puppet/client_yaml]/selrange: Found selrange default 's0' for /var/lib/puppet/client_yaml
debug: /File[/var/lib/puppet/facts]/seluser: Found seluser default 'system_u' for /var/lib/puppet/facts
debug: /File[/var/lib/puppet/facts]/selrole: Found selrole default 'object_r' for /var/lib/puppet/facts
debug: /File[/var/lib/puppet/facts]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/facts
debug: /File[/var/lib/puppet/facts]/selrange: Found selrange default 's0' for /var/lib/puppet/facts
debug: /File[/var/lib/puppet/ssl/private]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/private
debug: /File[/var/lib/puppet/ssl/private]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/private
debug: /File[/var/lib/puppet/ssl/private]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/private
debug: /File[/var/lib/puppet/ssl/private]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/private
debug: /File[/var/lib/puppet/state/graphs]/seluser: Found seluser default 'system_u' for /var/lib/puppet/state/graphs
debug: /File[/var/lib/puppet/state/graphs]/selrole: Found selrole default 'object_r' for /var/lib/puppet/state/graphs
debug: /File[/var/lib/puppet/state/graphs]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/state/graphs
debug: /File[/var/lib/puppet/state/graphs]/selrange: Found selrange default 's0' for /var/lib/puppet/state/graphs
debug: /File[/var/lib/puppet/ssl/private_keys]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/private_keys
debug: /File[/var/lib/puppet/ssl/private_keys]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/private_keys
debug: /File[/var/lib/puppet/ssl/private_keys]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/private_keys
debug: /File[/var/lib/puppet/ssl/private_keys]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/private_keys
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet]/seluser: Found seluser default 'system_u' for /var/lib/puppet
debug: /File[/var/lib/puppet]/selrole: Found selrole default 'object_r' for /var/lib/puppet
debug: /File[/var/lib/puppet]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet
debug: /File[/var/lib/puppet]/selrange: Found selrange default 's0' for /var/lib/puppet
debug: /File[/var/log/puppet]/seluser: Found seluser default 'system_u' for /var/log/puppet
debug: /File[/var/log/puppet]/selrole: Found selrole default 'object_r' for /var/log/puppet
debug: /File[/var/log/puppet]/seltype: Found seltype default 'puppet_log_t' for /var/log/puppet
debug: /File[/var/log/puppet]/selrange: Found selrange default 's0' for /var/log/puppet
debug: /File[/var/run/puppet]/seluser: Found seluser default 'system_u' for /var/run/puppet
debug: /File[/var/run/puppet]/selrole: Found selrole default 'object_r' for /var/run/puppet
debug: /File[/var/run/puppet]/seltype: Found seltype default 'puppet_var_run_t' for /var/run/puppet
debug: /File[/var/run/puppet]/selrange: Found selrange default 's0' for /var/run/puppet
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/state]/seluser: Found seluser default 'system_u' for /var/lib/puppet/state
debug: /File[/var/lib/puppet/state]/selrole: Found selrole default 'object_r' for /var/lib/puppet/state
debug: /File[/var/lib/puppet/state]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/state
debug: /File[/var/lib/puppet/state]/selrange: Found selrange default 's0' for /var/lib/puppet/state
debug: /File[/var/lib/puppet/ssl]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl
debug: /File[/var/lib/puppet/ssl]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl
debug: /File[/var/lib/puppet/ssl]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl
debug: /File[/var/lib/puppet/ssl]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl
debug: /File[/etc/puppet]/seluser: Found seluser default 'system_u' for /etc/puppet
debug: /File[/etc/puppet]/selrole: Found selrole default 'object_r' for /etc/puppet
debug: /File[/etc/puppet]/seltype: Found seltype default 'puppet_etc_t' for /etc/puppet
debug: /File[/etc/puppet]/selrange: Found selrange default 's0' for /etc/puppet
debug: /File[/var/lib/puppet/lib]/seluser: Found seluser default 'system_u' for /var/lib/puppet/lib
debug: /File[/var/lib/puppet/lib]/selrole: Found selrole default 'object_r' for /var/lib/puppet/lib
debug: /File[/var/lib/puppet/lib]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/lib
debug: /File[/var/lib/puppet/lib]/selrange: Found selrange default 's0' for /var/lib/puppet/lib
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]: Autorequiring File[/var/lib/puppet/ssl/public_keys]
debug: /File[/var/lib/puppet/ssl/certificate_requests]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/client_yaml]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/facts]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/state]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/ssl/private]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/ssl/public_keys]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/clientbucket]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/ssl/crl.pem]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/ssl/certs]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/state/graphs]: Autorequiring File[/var/lib/puppet/state]
debug: /File[/var/lib/puppet/ssl]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/ssl/private_keys]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]: Autorequiring File[/var/lib/puppet/ssl/certs]
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]: Autorequiring File[/var/lib/puppet/ssl/private_keys]
debug: /File[/var/lib/puppet/state/state.yaml]: Autorequiring File[/var/lib/puppet/state]
debug: /File[/var/lib/puppet/lib]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]: Autorequiring File[/var/lib/puppet/ssl/certs]
debug: Finishing transaction 70295619994440 with 0 changes
debug: Prefetching parsed resources for mount
debug: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]/require: requires File[/mnt/sda1]
info: Applying configuration version '1276082858'
debug: /File[/mnt/sda1]: Changing ensure
debug: /File[/mnt/sda1]: 1 change(s)
notice: /File[/mnt/sda1]/ensure: created
debug: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]: Changing ensure
debug: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]: 1 change(s)
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount'
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount'
debug: Flushing mount provider target /etc/fstab
info: Filebucket[/var/lib/puppet/clientbucket]: Adding /etc/fstab(58edad46dd7ad89521f5af8f4a344caa)
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount -o ro,nosuid,nodev,noexec /mnt/sda1'
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]/ensure: defined 'ensure' as 'mounted'
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]: Refreshing self
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount'
info: Mount[/mnt/sda1](provider=parsed): Remounting
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount -o remount /mnt/sda1'
debug: Finishing transaction 70295619687200 with 2 changes
[root@hermes mnt]# ls -ldZ sda1
drwxr-xr-x. root root unconfined_u:object_r:public_content_t:s0 /mnt/sda1
[root@hermes mnt]# umount sda1
[root@hermes mnt]# ls -ldZ sda1
drwxr-xr-x. root root system_u:object_r:mnt_t:s0       sda1
[root@hermes mnt]# puppet --debug /etc/puppet/manifests/site.pp 
debug: /File[/mnt/sda1]/seluser: Found seluser default 'system_u' for /mnt/sda1
debug: /File[/mnt/sda1]/selrole: Found selrole default 'object_r' for /mnt/sda1
debug: /File[/mnt/sda1]/seltype: Found seltype default 'mnt_t' for /mnt/sda1
debug: /File[/mnt/sda1]/selrange: Found selrange default 's0' for /mnt/sda1
debug: Creating default schedules
debug: Finishing transaction 70336639622240 with 0 changes
debug: Puppet::Type::User::ProviderPw: file pw does not exist
debug: Puppet::Type::User::ProviderDirectoryservice: file /usr/bin/dscl does not exist
debug: Puppet::Type::User::ProviderUser_role_add: file roleadd does not exist
debug: Failed to load library 'ldap' for feature 'ldap'
debug: Puppet::Type::User::ProviderLdap: feature ldap is missing
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/certificate_requests]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/certificate_requests
debug: /File[/var/lib/puppet/ssl/certificate_requests]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/certificate_requests
debug: /File[/var/lib/puppet/ssl/certificate_requests]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/certificate_requests
debug: /File[/var/lib/puppet/ssl/certificate_requests]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/certificate_requests
debug: /File[/var/lib/puppet/ssl/certs]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/certs
debug: /File[/var/lib/puppet/ssl/certs]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/certs
debug: /File[/var/lib/puppet/ssl/certs]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/certs
debug: /File[/var/lib/puppet/ssl/certs]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/certs
debug: /File[/var/lib/puppet/ssl/private_keys]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/private_keys
debug: /File[/var/lib/puppet/ssl/private_keys]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/private_keys
debug: /File[/var/lib/puppet/ssl/private_keys]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/private_keys
debug: /File[/var/lib/puppet/ssl/private_keys]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/private_keys
debug: /File[/var/lib/puppet/clientbucket]/seluser: Found seluser default 'system_u' for /var/lib/puppet/clientbucket
debug: /File[/var/lib/puppet/clientbucket]/selrole: Found selrole default 'object_r' for /var/lib/puppet/clientbucket
debug: /File[/var/lib/puppet/clientbucket]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/clientbucket
debug: /File[/var/lib/puppet/clientbucket]/selrange: Found selrange default 's0' for /var/lib/puppet/clientbucket
debug: /File[/var/log/puppet]/seluser: Found seluser default 'system_u' for /var/log/puppet
debug: /File[/var/log/puppet]/selrole: Found selrole default 'object_r' for /var/log/puppet
debug: /File[/var/log/puppet]/seltype: Found seltype default 'puppet_log_t' for /var/log/puppet
debug: /File[/var/log/puppet]/selrange: Found selrange default 's0' for /var/log/puppet
debug: /File[/etc/puppet]/seluser: Found seluser default 'system_u' for /etc/puppet
debug: /File[/etc/puppet]/selrole: Found selrole default 'object_r' for /etc/puppet
debug: /File[/etc/puppet]/seltype: Found seltype default 'puppet_etc_t' for /etc/puppet
debug: /File[/etc/puppet]/selrange: Found selrange default 's0' for /etc/puppet
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/lib]/seluser: Found seluser default 'system_u' for /var/lib/puppet/lib
debug: /File[/var/lib/puppet/lib]/selrole: Found selrole default 'object_r' for /var/lib/puppet/lib
debug: /File[/var/lib/puppet/lib]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/lib
debug: /File[/var/lib/puppet/lib]/selrange: Found selrange default 's0' for /var/lib/puppet/lib
debug: /File[/var/lib/puppet/state/graphs]/seluser: Found seluser default 'system_u' for /var/lib/puppet/state/graphs
debug: /File[/var/lib/puppet/state/graphs]/selrole: Found selrole default 'object_r' for /var/lib/puppet/state/graphs
debug: /File[/var/lib/puppet/state/graphs]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/state/graphs
debug: /File[/var/lib/puppet/state/graphs]/selrange: Found selrange default 's0' for /var/lib/puppet/state/graphs
debug: /File[/var/lib/puppet]/seluser: Found seluser default 'system_u' for /var/lib/puppet
debug: /File[/var/lib/puppet]/selrole: Found selrole default 'object_r' for /var/lib/puppet
debug: /File[/var/lib/puppet]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet
debug: /File[/var/lib/puppet]/selrange: Found selrange default 's0' for /var/lib/puppet
debug: /File[/var/run/puppet]/seluser: Found seluser default 'system_u' for /var/run/puppet
debug: /File[/var/run/puppet]/selrole: Found selrole default 'object_r' for /var/run/puppet
debug: /File[/var/run/puppet]/seltype: Found seltype default 'puppet_var_run_t' for /var/run/puppet
debug: /File[/var/run/puppet]/selrange: Found selrange default 's0' for /var/run/puppet
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/client_yaml]/seluser: Found seluser default 'system_u' for /var/lib/puppet/client_yaml
debug: /File[/var/lib/puppet/client_yaml]/selrole: Found selrole default 'object_r' for /var/lib/puppet/client_yaml
debug: /File[/var/lib/puppet/client_yaml]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/client_yaml
debug: /File[/var/lib/puppet/client_yaml]/selrange: Found selrange default 's0' for /var/lib/puppet/client_yaml
debug: /File[/var/lib/puppet/state]/seluser: Found seluser default 'system_u' for /var/lib/puppet/state
debug: /File[/var/lib/puppet/state]/selrole: Found selrole default 'object_r' for /var/lib/puppet/state
debug: /File[/var/lib/puppet/state]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/state
debug: /File[/var/lib/puppet/state]/selrange: Found selrange default 's0' for /var/lib/puppet/state
debug: /File[/var/lib/puppet/ssl/crl.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/crl.pem
debug: /File[/var/lib/puppet/ssl/crl.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/crl.pem
debug: /File[/var/lib/puppet/ssl/crl.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/crl.pem
debug: /File[/var/lib/puppet/ssl/crl.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/crl.pem
debug: /File[/var/lib/puppet/facts]/seluser: Found seluser default 'system_u' for /var/lib/puppet/facts
debug: /File[/var/lib/puppet/facts]/selrole: Found selrole default 'object_r' for /var/lib/puppet/facts
debug: /File[/var/lib/puppet/facts]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/facts
debug: /File[/var/lib/puppet/facts]/selrange: Found selrange default 's0' for /var/lib/puppet/facts
debug: /File[/var/lib/puppet/ssl]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl
debug: /File[/var/lib/puppet/ssl]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl
debug: /File[/var/lib/puppet/ssl]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl
debug: /File[/var/lib/puppet/ssl]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl
debug: /File[/var/lib/puppet/ssl/private]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/private
debug: /File[/var/lib/puppet/ssl/private]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/private
debug: /File[/var/lib/puppet/ssl/private]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/private
debug: /File[/var/lib/puppet/ssl/private]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/private
debug: /File[/var/lib/puppet/state/state.yaml]/seluser: Found seluser default 'system_u' for /var/lib/puppet/state/state.yaml
debug: /File[/var/lib/puppet/state/state.yaml]/selrole: Found selrole default 'object_r' for /var/lib/puppet/state/state.yaml
debug: /File[/var/lib/puppet/state/state.yaml]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/state/state.yaml
debug: /File[/var/lib/puppet/state/state.yaml]/selrange: Found selrange default 's0' for /var/lib/puppet/state/state.yaml
debug: /File[/var/lib/puppet/ssl/public_keys]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/public_keys
debug: /File[/var/lib/puppet/ssl/public_keys]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/public_keys
debug: /File[/var/lib/puppet/ssl/public_keys]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/public_keys
debug: /File[/var/lib/puppet/ssl/public_keys]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/public_keys
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/certs/ca.pem
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/certs/ca.pem
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/certs/ca.pem
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/certs/ca.pem
debug: /File[/var/lib/puppet/clientbucket]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/state/graphs]: Autorequiring File[/var/lib/puppet/state]
debug: /File[/var/lib/puppet/ssl/certificate_requests]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/ssl/private]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/ssl/certs]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]: Autorequiring File[/var/lib/puppet/ssl/certs]
debug: /File[/var/lib/puppet/ssl/crl.pem]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/state/state.yaml]: Autorequiring File[/var/lib/puppet/state]
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]: Autorequiring File[/var/lib/puppet/ssl/public_keys]
debug: /File[/var/lib/puppet/facts]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/ssl/private_keys]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/ssl]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/ssl/public_keys]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]: Autorequiring File[/var/lib/puppet/ssl/certs]
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]: Autorequiring File[/var/lib/puppet/ssl/private_keys]
debug: /File[/var/lib/puppet/lib]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/client_yaml]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/state]: Autorequiring File[/var/lib/puppet]
debug: Finishing transaction 70336638147380 with 0 changes
debug: Prefetching parsed resources for mount
debug: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]/require: requires File[/mnt/sda1]
info: Applying configuration version '1276083072'
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount'
debug: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]: Changing ensure
debug: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]: 1 change(s)
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount'
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount'
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount'
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount -o ro,nosuid,nodev,noexec /mnt/sda1'
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]/ensure: ensure changed 'present' to 'mounted'
notice: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]: Refreshing self
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount'
info: Mount[/mnt/sda1](provider=parsed): Remounting
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount -o remount /mnt/sda1'
debug: Finishing transaction 70336637840140 with 1 changes
[root@hermes mnt]# puppet --debug /etc/puppet/manifests/site.pp 
debug: /File[/mnt/sda1]/seluser: Found seluser default 'system_u' for /mnt/sda1
debug: /File[/mnt/sda1]/selrole: Found selrole default 'object_r' for /mnt/sda1
debug: /File[/mnt/sda1]/seltype: Found seltype default 'mnt_t' for /mnt/sda1
debug: /File[/mnt/sda1]/selrange: Found selrange default 's0' for /mnt/sda1
debug: Creating default schedules
debug: Finishing transaction 69984602795440 with 0 changes
debug: Puppet::Type::User::ProviderPw: file pw does not exist
debug: Puppet::Type::User::ProviderDirectoryservice: file /usr/bin/dscl does not exist
debug: Puppet::Type::User::ProviderUser_role_add: file roleadd does not exist
debug: Failed to load library 'ldap' for feature 'ldap'
debug: Puppet::Type::User::ProviderLdap: feature ldap is missing
debug: /File[/var/lib/puppet/ssl/private_keys]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/private_keys
debug: /File[/var/lib/puppet/ssl/private_keys]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/private_keys
debug: /File[/var/lib/puppet/ssl/private_keys]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/private_keys
debug: /File[/var/lib/puppet/ssl/private_keys]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/private_keys
debug: /File[/var/lib/puppet/lib]/seluser: Found seluser default 'system_u' for /var/lib/puppet/lib
debug: /File[/var/lib/puppet/lib]/selrole: Found selrole default 'object_r' for /var/lib/puppet/lib
debug: /File[/var/lib/puppet/lib]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/lib
debug: /File[/var/lib/puppet/lib]/selrange: Found selrange default 's0' for /var/lib/puppet/lib
debug: /File[/var/lib/puppet/ssl/certs]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/certs
debug: /File[/var/lib/puppet/ssl/certs]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/certs
debug: /File[/var/lib/puppet/ssl/certs]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/certs
debug: /File[/var/lib/puppet/ssl/certs]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/certs
debug: /File[/var/log/puppet]/seluser: Found seluser default 'system_u' for /var/log/puppet
debug: /File[/var/log/puppet]/selrole: Found selrole default 'object_r' for /var/log/puppet
debug: /File[/var/log/puppet]/seltype: Found seltype default 'puppet_log_t' for /var/log/puppet
debug: /File[/var/log/puppet]/selrange: Found selrange default 's0' for /var/log/puppet
debug: /File[/var/lib/puppet/state/graphs]/seluser: Found seluser default 'system_u' for /var/lib/puppet/state/graphs
debug: /File[/var/lib/puppet/state/graphs]/selrole: Found selrole default 'object_r' for /var/lib/puppet/state/graphs
debug: /File[/var/lib/puppet/state/graphs]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/state/graphs
debug: /File[/var/lib/puppet/state/graphs]/selrange: Found selrange default 's0' for /var/lib/puppet/state/graphs
debug: /File[/var/run/puppet]/seluser: Found seluser default 'system_u' for /var/run/puppet
debug: /File[/var/run/puppet]/selrole: Found selrole default 'object_r' for /var/run/puppet
debug: /File[/var/run/puppet]/seltype: Found seltype default 'puppet_var_run_t' for /var/run/puppet
debug: /File[/var/run/puppet]/selrange: Found selrange default 's0' for /var/run/puppet
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet]/seluser: Found seluser default 'system_u' for /var/lib/puppet
debug: /File[/var/lib/puppet]/selrole: Found selrole default 'object_r' for /var/lib/puppet
debug: /File[/var/lib/puppet]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet
debug: /File[/var/lib/puppet]/selrange: Found selrange default 's0' for /var/lib/puppet
debug: /File[/var/lib/puppet/client_yaml]/seluser: Found seluser default 'system_u' for /var/lib/puppet/client_yaml
debug: /File[/var/lib/puppet/client_yaml]/selrole: Found selrole default 'object_r' for /var/lib/puppet/client_yaml
debug: /File[/var/lib/puppet/client_yaml]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/client_yaml
debug: /File[/var/lib/puppet/client_yaml]/selrange: Found selrange default 's0' for /var/lib/puppet/client_yaml
debug: /File[/var/lib/puppet/clientbucket]/seluser: Found seluser default 'system_u' for /var/lib/puppet/clientbucket
debug: /File[/var/lib/puppet/clientbucket]/selrole: Found selrole default 'object_r' for /var/lib/puppet/clientbucket
debug: /File[/var/lib/puppet/clientbucket]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/clientbucket
debug: /File[/var/lib/puppet/clientbucket]/selrange: Found selrange default 's0' for /var/lib/puppet/clientbucket
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/certs/ca.pem
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/certs/ca.pem
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/certs/ca.pem
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/certs/ca.pem
debug: /File[/var/lib/puppet/ssl/crl.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/crl.pem
debug: /File[/var/lib/puppet/ssl/crl.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/crl.pem
debug: /File[/var/lib/puppet/ssl/crl.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/crl.pem
debug: /File[/var/lib/puppet/ssl/crl.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/crl.pem
debug: /File[/var/lib/puppet/ssl/certificate_requests]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/certificate_requests
debug: /File[/var/lib/puppet/ssl/certificate_requests]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/certificate_requests
debug: /File[/var/lib/puppet/ssl/certificate_requests]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/certificate_requests
debug: /File[/var/lib/puppet/ssl/certificate_requests]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/certificate_requests
debug: /File[/var/lib/puppet/facts]/seluser: Found seluser default 'system_u' for /var/lib/puppet/facts
debug: /File[/var/lib/puppet/facts]/selrole: Found selrole default 'object_r' for /var/lib/puppet/facts
debug: /File[/var/lib/puppet/facts]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/facts
debug: /File[/var/lib/puppet/facts]/selrange: Found selrange default 's0' for /var/lib/puppet/facts
debug: /File[/var/lib/puppet/state]/seluser: Found seluser default 'system_u' for /var/lib/puppet/state
debug: /File[/var/lib/puppet/state]/selrole: Found selrole default 'object_r' for /var/lib/puppet/state
debug: /File[/var/lib/puppet/state]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/state
debug: /File[/var/lib/puppet/state]/selrange: Found selrange default 's0' for /var/lib/puppet/state
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl
debug: /File[/var/lib/puppet/ssl]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl
debug: /File[/var/lib/puppet/ssl]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl
debug: /File[/var/lib/puppet/ssl]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl
debug: /File[/var/lib/puppet/ssl/private]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/private
debug: /File[/var/lib/puppet/ssl/private]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/private
debug: /File[/var/lib/puppet/ssl/private]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/private
debug: /File[/var/lib/puppet/ssl/private]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/private
debug: /File[/var/lib/puppet/state/state.yaml]/seluser: Found seluser default 'system_u' for /var/lib/puppet/state/state.yaml
debug: /File[/var/lib/puppet/state/state.yaml]/selrole: Found selrole default 'object_r' for /var/lib/puppet/state/state.yaml
debug: /File[/var/lib/puppet/state/state.yaml]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/state/state.yaml
debug: /File[/var/lib/puppet/state/state.yaml]/selrange: Found selrange default 's0' for /var/lib/puppet/state/state.yaml
debug: /File[/etc/puppet]/seluser: Found seluser default 'system_u' for /etc/puppet
debug: /File[/etc/puppet]/selrole: Found selrole default 'object_r' for /etc/puppet
debug: /File[/etc/puppet]/seltype: Found seltype default 'puppet_etc_t' for /etc/puppet
debug: /File[/etc/puppet]/selrange: Found selrange default 's0' for /etc/puppet
debug: /File[/var/lib/puppet/ssl/public_keys]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/public_keys
debug: /File[/var/lib/puppet/ssl/public_keys]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/public_keys
debug: /File[/var/lib/puppet/ssl/public_keys]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/public_keys
debug: /File[/var/lib/puppet/ssl/public_keys]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/public_keys
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]/seluser: Found seluser default 'system_u' for /var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]/selrole: Found selrole default 'object_r' for /var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]/selrange: Found selrange default 's0' for /var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem
debug: /File[/var/lib/puppet/ssl/public_keys]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/ssl/private_keys/hermes.lizeanunet.tld.pem]: Autorequiring File[/var/lib/puppet/ssl/private_keys]
debug: /File[/var/lib/puppet/ssl/certificate_requests]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/facts]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/ssl]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/client_yaml]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/clientbucket]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/ssl/certs/hermes.lizeanunet.tld.pem]: Autorequiring File[/var/lib/puppet/ssl/certs]
debug: /File[/var/lib/puppet/state]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/lib]: Autorequiring File[/var/lib/puppet]
debug: /File[/var/lib/puppet/ssl/certs]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/ssl/private]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/ssl/private_keys]: Autorequiring File[/var/lib/puppet/ssl]
debug: /File[/var/lib/puppet/ssl/certs/ca.pem]: Autorequiring File[/var/lib/puppet/ssl/certs]
debug: /File[/var/lib/puppet/state/graphs]: Autorequiring File[/var/lib/puppet/state]
debug: /File[/var/lib/puppet/ssl/public_keys/hermes.lizeanunet.tld.pem]: Autorequiring File[/var/lib/puppet/ssl/public_keys]
debug: /File[/var/lib/puppet/state/state.yaml]: Autorequiring File[/var/lib/puppet/state]
debug: /File[/var/lib/puppet/ssl/crl.pem]: Autorequiring File[/var/lib/puppet/ssl]
debug: Finishing transaction 69984601301160 with 0 changes
debug: Prefetching parsed resources for mount
debug: //Node[hermes.lizeanunet.tld]/Extra_mount_point[sda1]/Mount[/mnt/sda1]/require: requires File[/mnt/sda1]
info: Applying configuration version '1276083101'
debug: /File[/mnt/sda1]: Changing seluser,seltype
debug: /File[/mnt/sda1]: 2 change(s)
warning: Failed to set SELinux context system_u:object_r:public_content_t:s0 on /mnt/sda1
notice: /File[/mnt/sda1]/seluser: seluser changed 'unconfined_u' to 'system_u'
warning: Failed to set SELinux context unconfined_u:object_r:mnt_t:s0 on /mnt/sda1
notice: /File[/mnt/sda1]/seltype: seltype changed 'public_content_t' to 'mnt_t'
debug: Puppet::Type::Mount::ProviderParsed: Executing '/bin/mount'
debug: Finishing transaction 69984600993920 with 2 changes
[root@hermes mnt]# ls -ldZ /mnt/sda1
drwxr-xr-x. root root unconfined_u:object_r:public_content_t:s0 /mnt/sda1
Comment 3 Cristian Ciupitu 2010-06-12 08:40:14 EDT
Upstream bug report: http://projects.puppetlabs.com/issues/3999
Comment 4 Todd Zullinger 2010-06-12 08:55:56 EDT
Thanks for the help in reporting upstream Cristian.
Comment 5 Sean E. Millichamp 2010-06-15 15:07:36 EDT
I think I understand the problem.  However, I am almost 2 years rusty on my Ruby and Puppet internals at this point and don't have a ton of time.

I am happy to look at it, but I can't promise an ETA.

One a first pass, it sounds like one (or both) of the following are correct approaches:

1) Test if a path is a mountpoint, if so, skip checking/applying SELinux permissions
2) Honor "undef" for the permissions, which should cause SELinux to the label on the filesystem and leave it as it is.
Comment 6 Bug Zapper 2011-06-02 09:03:37 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Cristian Ciupitu 2011-06-03 11:56:31 EDT
It's been fixed upstream in 2.6.7.

Note You need to log in before you can comment on or make changes to this bug.